Bug 138314 - Undo of insert eats my text
Summary: Undo of insert eats my text
Status: RESOLVED FIXED
Alias: None
Product: calligraformula
Classification: Unclassified
Component: general (show other bugs)
Version: 1.x
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Alfredo Beaumont
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-03 22:36 UTC by Thomas Zander
Modified: 2011-03-11 11:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander 2006-12-03 22:36:49 UTC
Version:           1.6.1 (using KDE 3.5.5, Kubuntu (edgy) 4:3.5.5-0ubuntu3)
Compiler:          Target: x86_64-linux-gnu
OS:                Linux (x86_64) release 2.6.15-26-amd64-generic

Open a random odf/mml file.
Press the button on the toolbar to insert the 'Add Sum' character.

Press undo.
* Note that the 'Add Sum' character is still there.
* Note that at least one character that was there previously is now missing.
Comment 1 Alfredo Beaumont 2007-01-17 16:20:16 UTC
SVN commit 624649 by abeaumont:

Fix deletion of symbol elements

BUG: 138314


 M  +1 -1      formulacursor.cc  


--- branches/koffice/1.6/koffice/lib/kformula/formulacursor.cc #624648:624649
@@ -391,7 +391,7 @@
         mainChild->selectAllChildren(this);
         remove(childrenList);
     }
-    element->getParent()->moveRight(this, element);
+    element->getParent()->selectChild(this, element);
     setSelection(false);
     remove(list);
     insert(childrenList, direction);